Bug 610303 - [abrt] crash in gnome-keyring-2.30.3-1.fc13: raise: Process /usr/bin/gnome-keyring-daemon was killed by signal 6 (SIGABRT)
[abrt] crash in gnome-keyring-2.30.3-1.fc13: raise: Process /usr/bin/gnome-ke...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:5bd9232e1683cf652e38c0d95e4...
:
: 638631 641469 641862 643281 643569 650080 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 20:44 EDT by Jeff Layton
Modified: 2018-04-11 12:17 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:44:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.26 KB, text/plain)
2010-07-01 20:44 EDT, Jeff Layton
no flags Details

  None (edit)
Description Jeff Layton 2010-07-01 20:44:19 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/gnome-keyring-daemon --start --components=pkcs11
component: gnome-keyring
crash_function: raise
executable: /usr/bin/gnome-keyring-daemon
global_uuid: 5bd9232e1683cf652e38c0d95e464782d509ae2d
kernel: 2.6.33.5-124.fc13.x86_64
package: gnome-keyring-2.30.3-1.fc13
rating: 4
reason: Process /usr/bin/gnome-keyring-daemon was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
Machine auto logs in. Type in password -- maybe fat finger it once or twice? Sometimes it crashes.
Comment 1 Jeff Layton 2010-07-01 20:44:21 EDT
Created attachment 428589 [details]
File: backtrace
Comment 2 Jeff Layton 2010-07-20 07:29:38 EDT
Package: gnome-keyring-2.30.3-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. set up GDM to auto-login user at boot. Bring machine up and it displays keyring password prompt -- maybe needed for Empathy IM to start?

2. don't enter password right away -- wait for 5 mins or so. Something (I'm not sure what) times out.

3. enter the password and gnome-keyring-daemon crashes


Comment
-----
If I then log out GDM auto-logs me back in and then I can enter my password without the keyring daemon crashing. The wait between bootup and entering the keyring password seems to be the critical factor.
Comment 3 Jeff Layton 2010-09-30 10:47:22 EDT
Also a problem with F-14.
Comment 4 Karel Klíč 2010-11-09 11:06:46 EST
*** Bug 638631 has been marked as a duplicate of this bug. ***
Comment 5 Karel Klíč 2010-11-09 11:06:53 EST
*** Bug 641469 has been marked as a duplicate of this bug. ***
Comment 6 Karel Klíč 2010-11-09 11:06:58 EST
*** Bug 641862 has been marked as a duplicate of this bug. ***
Comment 7 Karel Klíč 2010-11-09 11:07:03 EST
*** Bug 643281 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-09 11:07:08 EST
*** Bug 643569 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-09 11:07:13 EST
*** Bug 650080 has been marked as a duplicate of this bug. ***
Comment 10 Fedora End Of Life 2012-08-16 16:44:49 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.